package com.brilliance.isc.mda.dao;


import com.brilliance.isc.common.rmbbop.entity.Tcp;
import com.brilliance.isc.common.rmbbop.entity.Tdq;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TcpMapper {

    int insert(Tcp record);

    int insertSelective(Tcp record);

    int updateByPrimaryKeySelective(Tcp record);

    int updateByPrimaryKey(Tcp record);

    int deleteByPrimaryKey(Tcp record);

    int deleteByIds(Collection<Object> collection);

    Tcp selectByPrimaryKey(Tcp record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tcp> dyncRead(Map<String, Object> dyncMap);

    Tcp selectTdqByOwnref(String banktrano);

}
